commit: 5b97f14f681c7d60013f3d185f976130e1335878
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 31 12:42:56 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 31 12:42:56 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b97f14f
dev-python/jaraco-logging: Bump to 3.2.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jaraco-logging/Manifest | 1 +
.../jaraco-logging/jaraco-logging-3.2.0.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/jaraco-logging/Manifest
b/dev-python/jaraco-logging/Manifest
index 7859a90be423..02120c0ee109 100644
--- a/dev-python/jaraco-logging/Manifest
+++ b/dev-python/jaraco-logging/Manifest
@@ -1 +1,2 @@
DIST jaraco.logging-3.1.2.tar.gz 8107 BLAKE2B
add8236bdf345d55186d8ab7432c2b392df6921229c23c253a3b224d0362073c417cd4c0540e28117a1331adea15d4e8a17ad72c2cf7084375a19c64c529ccc0
SHA512
d6d26364e44be089616913938d200f26c9da269853d673f1518c3e29905961dda264b95e60a7051e4e0d6b873eb9b65faefa9962a48e2cad43435ca32ef0e1f3
+DIST jaraco.logging-3.2.0.tar.gz 8907 BLAKE2B
9329655842f1e46af1a8eff72d97bd8c46dea60bdf1fb1e4decf5a47a95d162b825c6586db6629529a833b36944a38c536d0bb8127c60ac04e91d9553cf49682
SHA512
dd5a66bf03d01378e542553c08f8daf6aa2ec9aa8087b8d11f34b4527a1fb1e41b20142ac9b5d9e5eb8f510f50f7d1a3ec11a8eff9871190b4d4392b68bbada7
diff --git a/dev-python/jaraco-logging/jaraco-logging-3.2.0.ebuild
b/dev-python/jaraco-logging/jaraco-logging-3.2.0.ebuild
new file mode 100644
index 000000000000..c772bbabb1a8
--- /dev/null
+++ b/dev-python/jaraco-logging/jaraco-logging-3.2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Additional facilities to supplement Python's stdlib logging
module"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.logging/
+ https://pypi.org/project/jaraco.logging/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/tempora[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-1.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # create a pkgutil-style __init__.py in order to fix pytest's
+ # determination of package paths
+ cat > jaraco/__init__.py <<-EOF || die
+ __path__ = __import__("pkgutil").extend_path(__path__, __name__)
+ EOF
+ epytest --doctest-modules
+}